## ros-foxy-plansys2-bt-actions 1.0.10

=== CMakeLists.txt ===
project(plansys2_bt_actions)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

find_package(Threads REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(plansys2_executor REQUIRED)
find_package(behaviortree_cpp_v3 REQUIRED)
find_package(action_msgs REQUIRED)
find_package(lifecycle_msgs REQUIRED)

find_package(ZMQ)
if(ZMQ_FOUND)
    message(STATUS "ZeroMQ found.")
    add_definitions(-DZMQ_FOUND)
else()
  message(WARNING "ZeroMQ NOT found. Not including PublisherZMQ.")
endif()

set(CMAKE_CXX_STANDARD 17)

set(dependencies
    rclcpp
    rclcpp_action
    rclcpp_lifecycle
    plansys2_executor
    behaviortree_cpp_v3
    action_msgs
    lifecycle_msgs
)

include_directories(include ${ZMQ_INCLUDE_DIRS})

set(BT_ACTIONS_SOURCES
  src/plansys2_bt_actions/BTAction.cpp
)

add_library(${PROJECT_NAME} SHARED ${BT_ACTIONS_SOURCES})
ament_target_dependencies(${PROJECT_NAME} ${dependencies})
target_link_libraries(${PROJECT_NAME} ${ZMQ_LIBRARIES})

add_executable(bt_action_node
  src/bt_action_node.cpp
)
ament_target_dependencies(bt_action_node ${dependencies})
target_link_libraries(bt_action_node ${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include/
)

install(TARGETS
  bt_action_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(plansys2_msgs REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(geometry_msgs REQUIRED)

  set(dependencies ${dependencies} plansys2_msgs test_msgs geometry_msgs)

  add_subdirectory(test)
endif()

ament_export_include_directories(include)
ament_export_dependencies(${dependencies})

ament_package()

=== test/unit/CMakeLists.txt ===
add_library(plansys2_close_gripper_bt_node SHARED
  ../behavior_tree/CloseGripper.cpp
)
list(APPEND plugin_libs plansys2_close_gripper_bt_node)

add_library(plansys2_open_gripper_bt_node SHARED
  ../behavior_tree/OpenGripper.cpp
)
list(APPEND plugin_libs plansys2_open_gripper_bt_node)

add_library(plansys2_move_bt_test_node SHARED ../behavior_tree/Move.cpp)
list(APPEND plugin_libs plansys2_move_bt_test_node)

foreach(bt_plugin ${plugin_libs})
  ament_target_dependencies(${bt_plugin} ${dependencies})
  target_compile_definitions(${bt_plugin} PRIVATE BT_PLUGIN_EXPORT)
endforeach()

ament_add_gtest(bt_action_test bt_action_test.cpp)
target_link_libraries(bt_action_test
  ${PROJECT_NAME}
)
ament_target_dependencies(bt_action_test ${dependencies})

install(DIRECTORY ../behavior_tree
  DESTINATION share/${PROJECT_NAME}/test
)

install(TARGETS
  ${plugin_libs}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-foxy-plansys2-bt-actions (1.0.10-1focal) focal; urgency=high

  * Fix tests
  * Fix rate conversions
  * Reduce debug output
  * Update version
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.9-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.8-1focal) focal; urgency=high

  * Moving zmq publisher creation to on_activate in BTAction, resetting the publisher in on_deactivate.
  * Action execution refactoring
  * Adding zeromq-based groot monitoring of plansys2 behaviortree actions. Ports are not specified by default to keep two different actions from accidentally using the same ports.
  * Add support for numeric conditions and effects.
  * Monitorization info
  * Improving BTActions
  * Change 'move' action name
  * Contributors: Alexander Xydes, Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.7-1focal) focal; urgency=high

  * Making explicit dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.6-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.5-1focal) focal; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.4-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.2-1focal) focal; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, f269858

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.1-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-bt-actions (1.0.0-1focal) focal; urgency=high

  * Foxy initial version
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-bt-actions (0.0.8-1focal) focal; urgency=high

  * Boost:optional
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-bt-actions (0.0.7-1focal) focal; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (0.0.6-1focal) focal; urgency=high

  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add multi domain
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (0.0.5-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (0.0.4-1focal) focal; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (0.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-bt-actions (0.0.2-1focal) focal; urgency=high

  * Merge pull request #16 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/16> from IntelligentRoboticsLabs/pddl_parser_rename
    Rename pddl_parser
  * Rename pddl_parser
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Merge pull request #8 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/8> from IntelligentRoboticsLabs/patrol_example
    Patrol example
  * Patrol example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Execute actions independiently. Example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of planner complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Update notification in problem
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Problem expert complete with terminal support
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Problem expert client and node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Goals in problem generation
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * ProblemExpert local complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Using shred_ptr. First commit Problem


=== debian/control ===
Source: ros-foxy-plansys2-bt-actions
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-foxy-action-msgs, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-behaviortree-cpp-v3, ros-foxy-geometry-msgs, ros-foxy-plansys2-executor, ros-foxy-plansys2-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-lifecycle, ros-foxy-test-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-plansys2-bt-actions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-foxy-action-msgs, ros-foxy-behaviortree-cpp-v3, ros-foxy-plansys2-executor, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-lifecycle, ros-foxy-ros-workspace
Description: This package contains the Problem Expert module for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-plansys2-bt-actions//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
